
Foreman - Bug #14264

Getting 500 when creating host through API and not specifying any interface attributes

03/18/2016 07:49 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: API   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3346

  

Description

Getting following trace

2016-03-18T12:43:29 [app] [W] Action failed

 | NoMethodError: undefined method `[]=' for nil:NilClass

 | /home/ares/Projekty/Zdrojaky/foreman/app/controllers/api/v2/hosts_controller.rb:289:in `host_at

tributes'

 | /home/ares/Projekty/Zdrojaky/foreman/app/controllers/api/v2/hosts_controller.rb:98:in `create'

 https://github.com/theforeman/foreman/commit/38d9333f8e82e45fc6771ea7740e6ea625b97d3f is not careful enough, also I think it

should be rather fixed in host model than in API controller.

Related issues:

Related to Foreman - Bug #14239: Creating a host via API fails with cryptic e... Closed 03/16/2016

Related to Foreman - Bug #14516: Host::Base#domain_id= delegated to primary_i... Closed 04/07/2016

Associated revisions

Revision 308f611d - 03/22/2016 07:12 AM - Marek Hulán

Fixes #14264 - improve primary interface selection

Revision 45831c5a - 04/18/2016 01:45 PM - Marek Hulán

Fixes #14264 - improve primary interface selection

(cherry picked from commit 308f611d9bb17173588a6f59c7a914b551923a7b)

History

#1 - 03/18/2016 07:50 AM - Marek Hulán

- Status changed from New to Assigned

#2 - 03/18/2016 07:50 AM - Dominic Cleal

- Related to Bug #14239: Creating a host via API fails with cryptic error when no primary interface is set explicitly added

#3 - 03/18/2016 08:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3346 added

#4 - 03/22/2016 08:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 308f611d9bb17173588a6f59c7a914b551923a7b.
https://github.com/theforeman/foreman/commit/38d9333f8e82e45fc6771ea7740e6ea625b97d3f
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/308f611d9bb17173588a6f59c7a914b551923a7b


#5 - 04/07/2016 02:54 AM - Ohad Levy

- Related to Bug #14516: Host::Base#domain_id= delegated to primary_interface.domain_id=, but primary_interface is nil added
